Subject: Implementation of move, copy and NodeType.isNodeType
Description

For the implementation of WebDAV for the TYPO3CR I am missing some CR functionality to provide all features.

First of all I need the possibility to move and copy a node and its subtree.

Second is, that I need to check if a NodeType is nt:folder or nt:file

Therefore I need the method isNodeType() implemented in the NodeType class.

My implementation looks currently like this:
public function isNodeType($nodeTypeName) {
    return $this->name == $nodeTypeName;
}

Thanks.

History
#1 - 2009-06-10 11:03 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To deleted (Karsten Dambekalns)

#2 - 2009-09-30 17:57 - Karsten Dambekalns
- Tracker changed from Bug to Feature

#3 - 2010-12-17 13:02 - Karsten Dambekalns
- Status changed from Accepted to Closed

2015-08-03 1/1


